"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _userSettings = _interopRequireDefault(require("user-settings"));

var _getPkgInfo = _interopRequireDefault(require("./getPkgInfo"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class Config {
  constructor() {
    const appName = (0, _getPkgInfo.default)().name; // initialize user settings

    this.settings = _userSettings.default.file(`.${appName}`);
  }

  get(key) {
    return this.settings.get(key);
  }

  set(key, value) {
    return this.settings.set(key, value);
  }

  unset(key) {
    return this.settings.unset(key);
  }

}

var _default = new Config();

exports.default = _default;