"use strict";

var _mockFs = _interopRequireDefault(require("mock-fs"));

var _fs = _interopRequireDefault(require("fs"));

var _makeDir = _interopRequireDefault(require("./makeDir"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Make Dir', () => {
  beforeEach(() => {
    (0, _mockFs.default)({
      './fakeDir': {}
    });
  });
  afterEach(() => {
    _mockFs.default.restore();
  });
  test('should create new folder if it doesn\t exist', () => {
    _fs.default.mkdirSync = jest.fn();
    (0, _makeDir.default)('./fakeDir', 'newDir');
    expect(_fs.default.mkdirSync).toHaveBeenCalled();
  });
  test('should not create new folder if one already exist', () => {
    _fs.default.mkdirSync = jest.fn();
    (0, _makeDir.default)('', 'fakeDir');
    expect(_fs.default.mkdirSync).not.toHaveBeenCalled();
  });
});